Loading...
Searching...
No Matches
listener_manager.h File Reference

Map of MPTCP local address to listener - private API. More...

`#include <mptcpd/export.h>`
Include dependency graph for listener_manager.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

MPTCPD_API struct mptcpd_lm * | mptcpd_lm_create (void)
| Create a MPTCP listener manager.
MPTCPD_API void | mptcpd_lm_destroy (struct mptcpd_lm *lm)
| Destroy MPTCP listener manager.

## Detailed Description

Map of MPTCP local address to listener - private API.

Copyright (c) 2022, Intel Corporation

## Function Documentation

## mptcpd_lm_create()

MPTCPD_API struct mptcpd_lm * mptcpd_lm_create | ( | void |  | ) |

Create a MPTCP listener manager.

Returns
  Pointer to a MPTCP listener manager on success. `NULL` on failure.

## mptcpd_lm_destroy()

MPTCPD_API void mptcpd_lm_destroy | ( | struct mptcpd_lm * | lm | ) |

Destroy MPTCP listener manager.

Parameters

  [in,out] | lm | The mptcpd address listener manager object.